Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin
Class Jetty6PluginServer

    java.lang.Object
      org.mortbay.jetty.plugin.Jetty6PluginServer

All Implemented Interfaces:
  JettyPluginServer, Proxy

    public class Jetty6PluginServer

extends java.lang.Object
implements JettyPluginServer

Jetty6PluginServer Jetty6 version of a wrapper for the Server class.

Field Summary
`static int` | `DEFAULT_MAX_IDLE_TIME`
`static int` | `DEFAULT_PORT`

Constructor Summary
`Jetty6PluginServer()`

Method Summary
`void` | `addWebApplication(WebAppContext webapp)`
`void` | `configureHandlers()` Set up the handler structure to receive a webapp.
`java.lang.Object` | `createDefaultConnector(java.lang.String portnum)`
`java.lang.Object[]` | `getConnectors()`
`java.lang.Object` | `getProxiedObject()`
`java.lang.Object` | `getRequestLog()`
`java.lang.Object[]` | `getUserRealms()`
`void` | `join()`
`void` | `setConnectors(java.lang.Object[] connectors)`
`void` | `setRequestLog(java.lang.Object requestLog)`
`void` | `setUserRealms(java.lang.Object[] realms)`
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static int DEFAULT_PORT

### DEFAULT_MAX_IDLE_TIME

    public static int DEFAULT_MAX_IDLE_TIME

Constructor Detail

### Jetty6PluginServer

    public Jetty6PluginServer()

See Also:
  `org.mortbay.jetty.plugin.util.JettyPluginServer#create()`

Method Detail

### setConnectors

    public void setConnectors(java.lang.Object[] connectors)

  Specified by:
    `setConnectors` in interface `JettyPluginServer`
  See Also:
    `org.mortbay.jetty.plugin.util.JettyPluginServer#setConnectorNames(org.mortbay.jetty.plugin.util.JettyPluginConnector[])`

### getConnectors

    public java.lang.Object[] getConnectors()

  Specified by:
    `getConnectors` in interface `JettyPluginServer`
  See Also:
    `JettyPluginServer.getConnectors()`

### setUserRealms

    public void setUserRealms(java.lang.Object[] realms)
                       throws java.lang.Exception

  Specified by:
    `setUserRealms` in interface `JettyPluginServer`
  Throws:
    `java.lang.Exception`
  See Also:
    `org.mortbay.jetty.plugin.JettyPluginServer#setUserRealms(org.mortbay.jetty.plugin.JettyPluginUserRealm[])`

### getUserRealms

    public java.lang.Object[] getUserRealms()

  Specified by:
    `getUserRealms` in interface `JettyPluginServer`
  See Also:
    `JettyPluginServer.getUserRealms()`

### setRequestLog

    public void setRequestLog(java.lang.Object requestLog)

  Specified by:
    `setRequestLog` in interface `JettyPluginServer`

### getRequestLog

    public java.lang.Object getRequestLog()

  Specified by:
    `getRequestLog` in interface `JettyPluginServer`

### start

    public void start()
               throws java.lang.Exception

  Specified by:
    `start` in interface `JettyPluginServer`
  Throws:
    `java.lang.Exception`
  See Also:
    `JettyPluginServer.start()`

### getProxiedObject

    public java.lang.Object getProxiedObject()

  Specified by:
    `getProxiedObject` in interface `Proxy`
  See Also:
    `Proxy.getProxiedObject()`

### addWebApplication

    public void addWebApplication(WebAppContext webapp)
                           throws java.lang.Exception

  Specified by:
    `addWebApplication` in interface `JettyPluginServer`
  Throws:
    `java.lang.Exception`
  See Also:
    `org.mortbay.jetty.plugin.util.JettyPluginServer#addWebApplication(java.lang.Object)`

### configureHandlers

    public void configureHandlers()
                           throws java.lang.Exception

  Set up the handler structure to receive a webapp. Also put in a DefaultHandler so we get a nice page than a 404 if we hit the root and the webapp's context isn't at root.

  Specified by:
    `configureHandlers` in interface `JettyPluginServer`
  Throws:
    `java.lang.Exception`

### createDefaultConnector

    public java.lang.Object createDefaultConnector(java.lang.String portnum)
                                            throws java.lang.Exception

  Specified by:
    `createDefaultConnector` in interface `JettyPluginServer`
  Throws:
    `java.lang.Exception`
  See Also:
    `org.mortbay.jetty.plugin.JettyPluginServer#createDefaultConnector()`

### join

    public void join()
              throws java.lang.Exception

  Specified by:
    `join` in interface `JettyPluginServer`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.